import { defineComponent as l, mergeModels as n, useModel as p, watch as s, createBlock as d, createCommentVNode as c, openBlock as f, unref as a } from "vue";
import { useI18n as b } from "vue-i18n";
import { ax as V } from "./start-BYfL32Oe.mjs";
import "pinia";
import "vue-router";
import "./header-Droxy2Kd.mjs";
import "./moment-h96o7c8I.mjs";
import { b as r } from "./ecm-datahub-image-to-string.json_vue_type_i18n_index_0_src_true_lang-CJZboNVr.mjs";
const g = /* @__PURE__ */ l({
  __name: "EcmDataHubIntegrationStringToImageExtension",
  props: /* @__PURE__ */ n({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(m) {
    const e = p(m, "modelValue"), { t: u } = b();
    return s(
      e,
      (t) => {
        t || (e.value = {});
      },
      { immediate: !0 }
    ), (t, o) => e.value ? (f(), d(a(V), {
      key: 0,
      modelValue: e.value.separator,
      "onUpdate:modelValue": o[0] || (o[0] = (i) => e.value.separator = i),
      label: a(u)("ecm-datahub-ui.image.separator"),
      type: "text"
    }, null, 8, ["modelValue", "label"])) : c("", !0);
  }
});
typeof r == "function" && r(g);
export {
  g as default
};
